MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026897Community[OCCT] OCCT:Modeling Algorithmspublic2015-11-18 16:052016-04-20 15:50
Reporterazv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026897: BRepBuilderAPI_Copy does not copy polygons
DescriptionBRepBuilderAPI_Copy with enabled flag copyMesh should copy the full mesh structure. At the present moment the integration of issue #26458 does not contain copying of polygons on edges. This leads to rebuild of the mesh each time BRepMesh_IncrementalMesh is called.

Original request:
http://dev.opencascade.org/index.php?q=node/1135 [^]
Steps To Reproducepload MODELING
cone c 0 0 0 45 0
mkface f c 0 6.28318530717958647 0 10
incmesh f 0.1
trinfo f
# This shape contains 473 triangles.
# 265 nodes.
# Maximal deflection 0.08349767847129147

tcopy -m f fc

incmesh f 1.0
trinfo f
# This shape contains 473 triangles.
# 265 nodes.
# Maximal deflection 0.08349767847129147

trinfo fc
# This shape contains 473 triangles.
# 265 nodes.
# Maximal deflection 0.08349767847129147
incmesh fc 1.0
trinfo fc
# This shape contains 94 triangles.
# 62 nodes.
# Maximal deflection 0.73563929962189645
TagsNo tags attached.
Test case numberbugs modalg_6 bug26897
Attached Files

- Relationships

-  Notes
(0048377)
git (administrator)
2015-11-19 14:22

Branch CR26897 has been created by azv.

SHA-1: f8cd82055d6a44fe4505d8341d45e90cf91061f0


Detailed log of new commits:

Author: azv
Date: Thu Nov 19 14:20:32 2015 +0300

    0026897: BRepBuilderAPI_Copy does not copy polygons
    
    1. Implemented copying for 3D polygons and polygons on surfaces
    2. Added test case bugs/modalg_6/bug26897
(0048378)
azv (developer)
2015-11-19 14:23

Dear Mikhail,

Please, review branch CR26897.
(0048391)
msv (developer)
2015-11-19 18:47

I think you missed treatment of the case of closed edge of surface (seam edge). In this case it is needed to add two polygons on triangulation, as it is done with curves on surface.
(0048401)
git (administrator)
2015-11-20 11:13

Branch CR26897 has been updated by azv.

SHA-1: 6919047c18d25d0bb529714f7c930faff3516003


Detailed log of new commits:

Author: azv
Date: Fri Nov 20 11:13:22 2015 +0300

    Correct copying of polygonal structure of seam edge

(0048402)
git (administrator)
2015-11-20 11:17

Branch CR26897_1 has been created by azv.

SHA-1: 1967b7039ad10af43db3a3f613d12f045b7eb95a


Detailed log of new commits:

Author: azv
Date: Fri Nov 20 11:17:02 2015 +0300

    0026897: BRepBuilderAPI_Copy does not copy polygons
    
    1. Implemented copying for 3D polygons and polygons on surfaces
    2. Added test case bugs/modalg_6/bug26897
(0048403)
azv (developer)
2015-11-20 11:19

Dear Mikhail,

Thanks for the remark. Please, review branch CR26897_1. Note, branch CR26897 contains commit-by-commit changes.
(0048427)
git (administrator)
2015-11-20 16:00

Branch CR26897_1 has been updated forcibly by azv.

SHA-1: ba88a1f728a08aae4f294130975985acb5c9b9e4
(0048428)
azv (developer)
2015-11-20 16:01

Dear Mikhail,

Branch CR26897_1 has been updated according to user latest verbal remarks.
(0048435)
git (administrator)
2015-11-20 18:21

Branch CR26897_1 has been updated forcibly by azv.

SHA-1: 80d24d06025ddb2845097beb56cc6023a126e2ba
(0048436)
msv (developer)
2015-11-20 20:13

Reviewed.
(0048487)
git (administrator)
2015-11-23 15:36

Branch CR26897_1 has been updated forcibly by apv.

SHA-1: f99efbf0d24f62c51f134ec43e7cf89eaa3bab8a
(0048488)
apv (tester)
2015-11-23 15:37

Branch CR26897_1 has been rebased on the current master
(0048508)
apv (tester)
2015-11-24 12:54

Dear BugMaster,

Branch CR26897_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: f99efbf0d24f62c51f134ec43e7cf89eaa3bab8a

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 127 (127 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug26897 - OK
http://occt-tests/CR26897-1-master-occt-64/Debian70-64/bugs/modalg_6/bug26897.html [^]
http://occt-tests/CR26897-1-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26897.html [^]

Testing on Linux:
Total MEMORY difference: 93182601 / 93571991 [-0.42%]
Total CPU difference: 19963.279999999784 / 19980.049999999952 [-0.08%]

Testing on Windows:
Total MEMORY difference: 58368602 / 58378770 [-0.02%]
Total CPU difference: 18248.87217919899 / 18194.47463049887 [+0.30%]
(0053063)
git (administrator)
2016-04-17 14:07

Branch CR26897 has been deleted by kgv.

SHA-1: 6919047c18d25d0bb529714f7c930faff3516003
(0053064)
git (administrator)
2016-04-17 14:07

Branch CR26897_1 has been deleted by kgv.

SHA-1: f99efbf0d24f62c51f134ec43e7cf89eaa3bab8a

- Related Changesets
occt: master 8156dddd
Timestamp: 2015-11-20 13:00:06
Author: azv
Committer: bugmaster
Details ] Diff ]
0026897: BRepBuilderAPI_Copy does not copy polygons

1. Implemented copying for 3D polygons and polygons on surfaces
2. Added test case bugs/modalg_6/bug26897
mod - src/BRepBuilderAPI/BRepBuilderAPI_Copy.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Modification.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Modification.hxx Diff ] File ]
mod - src/BRepTools/BRepTools_Modifier.cxx Diff ] File ]
mod - src/Poly/Poly_Polygon3D.cxx Diff ] File ]
mod - src/Poly/Poly_Polygon3D.hxx Diff ] File ]
mod - src/Poly/Poly_PolygonOnTriangulation.cxx Diff ] File ]
mod - src/Poly/Poly_PolygonOnTriangulation.hxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.cxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.hxx Diff ] File ]
add - tests/bugs/modalg_6/bug26897 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-18 16:05 azv New Issue
2015-11-18 16:05 azv Assigned To => msv
2015-11-18 16:06 azv Relationship added related to 0026458
2015-11-18 16:06 azv Assigned To msv => azv
2015-11-18 16:06 azv Status new => assigned
2015-11-19 14:22 git Note Added: 0048377
2015-11-19 14:23 azv Note Added: 0048378
2015-11-19 14:23 azv Assigned To azv => msv
2015-11-19 14:23 azv Status assigned => resolved
2015-11-19 18:47 msv Note Added: 0048391
2015-11-19 18:47 msv Assigned To msv => azv
2015-11-19 18:47 msv Status resolved => assigned
2015-11-20 11:13 git Note Added: 0048401
2015-11-20 11:17 git Note Added: 0048402
2015-11-20 11:19 azv Note Added: 0048403
2015-11-20 11:19 azv Assigned To azv => msv
2015-11-20 11:19 azv Status assigned => resolved
2015-11-20 16:00 git Note Added: 0048427
2015-11-20 16:01 azv Note Added: 0048428
2015-11-20 18:21 git Note Added: 0048435
2015-11-20 20:13 msv Note Added: 0048436
2015-11-20 20:13 msv Assigned To msv => bugmaster
2015-11-20 20:13 msv Status resolved => reviewed
2015-11-23 15:36 git Note Added: 0048487
2015-11-23 15:37 apv Assigned To bugmaster => apv
2015-11-23 15:37 apv Note Added: 0048488
2015-11-24 12:14 apv Test case number => bugs modalg_6 bug26897
2015-11-24 12:54 apv Note Added: 0048508
2015-11-24 12:54 apv Assigned To apv => bugmaster
2015-11-24 12:54 apv Status reviewed => tested
2015-11-27 12:21 bugmaster Changeset attached => occt master 8156dddd
2015-11-27 12:21 bugmaster Status tested => verified
2015-11-27 12:21 bugmaster Resolution open => fixed
2016-04-17 14:07 git Note Added: 0053063
2016-04-17 14:07 git Note Added: 0053064
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker